#! /bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Scheduled Task Configration Tool
Name:           lime-cron
Version:        0.9.12
Release:        5%{?dist}
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	lime-common
Requires :	qt > 3.3
Requires :	openwbem
BuildRequires : openwbem
BuildRequires : openwbem-devel
BuildRequires : lime-common
BuildRequires : qt > 3.3, qt-devel > 3.3
BuildRequires : lmc-devel
%description
lime-cron is a WBEM client tool for scheduled task configuration 
which depends on CIMOM, when using this tool, make LIME provider 
has been installed and CIMOM of managed host has been started.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps

cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

# add a symlink to old rfmin tool
ln -sf lime-cron $RPM_BUILD_ROOT/%{_bindir}/rfcron

## Aternate_Command_Names ##
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s lime-cron set-sysmgt-task_schedule
popd

%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/lime-cron
%{_bindir}/rfcron
%{_bindir}/set-sysmgt-task_schedule
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.xpm
%{_libdir}/lmc/snapins/*.so
%exclude %{_libdir}/lmc/snapins/*.a
%exclude %{_libdir}/lmc/snapins/*.la
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_docdir}/lime-cron/*.html
%{_docdir}/lime-cron/*.xml
%config /usr/share/applications/%{name}.desktop

%changelog
* Thu Apr 28 2009 Feng ZhanLei <fengzhanlei@redflag-linux.com> 0.9.12-5%{?dist}
- fix backtotop button in the menu (AXBug#4891)

* Thu Apr 09 2009 Sun GuoDong <sunguodong@redflag-linux.com> 0.9.12-4%{?dist}
- make button "Next Run Time" can be sort by time (AXBug#4888)

* Thu Apr 09 2009 Feng ZhanLei <fengzhanlei@redflag-linux.com> 0.9.12-3%{?dist}
- add backtotop button in the menu (AXBug#4891)

* Thu Sep 18 2008 Zhao Min <zhaomin@redflag-linux.com>
- fix bug 5050

* Mon Jul 28 2008 He Tao <taohe@redflag-linux.cim>
- add time property as a key property of cron job on client host, so there will be more strict standard for the judgement the same job.
- see also to bug 4567, bug 4228

* Wed May 21 2008 He Tao <taohe@redflag-linux.com> 0.9.11-1%{?dist}
- bug 4440 , fix munual bug.

* Wed Apr 23 2008 He Tao <taohe@redflag-linux.com> 0.9.10-1%{?dist}
- bug 4198 , fix tarnlslation 

* Wed Apr 2 2008 He Tao <taohe@redflag-linux.com>
-add a skip status while the batch-handle deleting task for other hosts and there is no such task in the target host

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 0.9.8-1.1%{?dist}
- add Aternate Command Names (symbolic link) - bugzilla 3978

* Thu Oct 11 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.8-1
- correct wrong manual caused by auto generated using extractxmlfromhtml.

* Mon Sep 17 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.7-1
- update to new version 0.9.7, the first maintenance release,
- merge patch1 to CVS, see also package ChangeLog file for details.

* Wed Aug 29 2007 Moon, SungHo <shmoon@haansoft.com> 0.9.6-1.1AX
- change asianux desktop categories (patch1, AXBugzillar#3471)

* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.6-1
- update to new version 0.9.6, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.5-1
- update to new version 0.9.5, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.5-1
- merge patch lime-cron-0.9.3-asianux-desktop_categories.patch to CVS,
- not install desktop file to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 0.9.4-1.1AX
- added to lime-cron-0.9.3-asianux-desktop_categories.patch

* Tue Jul 3 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.4-1
- update to new version 0.9.4, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.3-1
- add ChangeLog, NEWS, README, TODO to package, update to new version 
- 0.9.3-1, see also package ChangeLog file.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.3-1
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Mon May 14 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.9.1-1
- change control panel's desktop file to directory Group2Sys

* Thu Apr 5 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.6.0-2
- add manual files, add a symlink for rfcron

* Thu Jan 26 2007 Diancheng Wang <dcwang@redflag-linux.com> 0.6.0-1
- initial version for 0.6.0

